use warp::hyper::StatusCode;

pub(crate) fn html_with_status(body: String, status: StatusCode) -> warp::http::Response<String> {
    warp::http::Response::builder()
        .header("Content-Type", "text/html; charset=utf-8")
        .status(status)
        .body(body)
        .expect("failed marshalling html response")
}

pub(crate) fn html(body: String) -> warp::http::Response<String> {
    html_with_status(body, StatusCode::OK)
}

// pub(crate) fn html(body: String) -> Result<warp::http::Response<String>, warp::http::Error> {
//     warp::http::Response::builder()
//         .header("Content-Type", "text/html; charset=utf-8")
//         .status(StatusCode::OK)
//         .body(body)
// }
